### Method

# RB RhythmDB entry_write_metadata_changes

#### Declaration [src]

    void
    rhythmdb_entry_write_metadata_changes (
      RhythmDB* db,
      RhythmDBEntry* entry,
      GSList* changes,
      GError** error
    )

#### Description [src]

This can be called from a `RhythmDBEntryType` sync_metadata function when the appropriate action is to write the metadata changes to the file at the entry’s location.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` to update.

  The data is owned by the caller of the method.

`changes`

  Type: A list of `None`

  A list of changes to write.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.